<template>
  <div class="bmm1_term-condition">
    <div class="px-4 relative max-w-full w-full">
      <div class="pt-4 pb-20">
        <div
          v-if="!title.IsHidden"
          class="mb-6 relative flex justify-between items-center flex-wrap"
        >
          <h1 class="text-2xl w-auto m-0 text-[var(--title-font-color)]">
            {{ $t("information") }}
          </h1>
        </div>
        <div class="my-5">
          <el-select v-model="activeTab" style="width: 100%">
            <el-option
              v-for="tab in tabs"
              :key="tab"
              :value="tab.value"
              :label="tab.label"
            />
          </el-select>
        </div>
        <el-collapse v-model="activeNames" accordion>
          <div class="">
            <div v-for="(termcondition, index) in contentTitles" :key="index">
              <div class="flex w-full justify-between items-center mb-6">
                <div
                  class="text-sm w-full leading-[1.5] bg-[var(--background-body)] box-shadow rounded-xl"
                >
                  <el-collapse-item :name="termcondition.Text">
                    <template #title>
                      <div
                        class="px-4 text-base leading-5 relative flex justify-between items-center min-h-[64px] py-4 w-full"
                      >
                        <span
                          class="text-base leading-5 font-bold text-[var(--title-font-color)]"
                        >
                          {{ termcondition?.Text }}
                        </span>
                        <div
                          class="w-8 h-8 rounded-2xl text-[#707585] bg-[var(--button-bg)] box-shadow flex items-center justify-center plus__icon"
                        ></div>
                      </div>
                    </template>
                    <div
                      class="opacity-100 p-4 text-sm box-shadow-inset text-[var(--title-font-color)] rounded-b-xl"
                      v-html="contentDetailFiltered(index)"
                    ></div>
                  </el-collapse-item>
                </div>
              </div>
            </div>
          </div>
        </el-collapse>
        <nuxt-link :to="'/'">
          <button
            class="max-w-[240px] text-[color:var(--font-color-primary)] bg-[color:var(--button-bg)] box-shadow h-[40px] px-5 font-[600] mt-6 uppercase rounded-md"
          >
            {{ $t("go_to_homepage") }}
          </button>
        </nuxt-link>
      </div>
    </div>
  </div>
</template>
<script lang="ts" setup>
import themePropertyHelper from "@/utils/themePropertyHelper";
import { IThemePropertiesFromApi } from "@/models/companyThemePropertiesRespone";
import { store } from "@/store";
const activeNames = ref("");
const themeProperties = computed(
  () => store.state.companyThemePropertiesFromApi.ThemeProperties
);
const title = computed(
  (): IThemePropertiesFromApi =>
    themePropertyHelper.getSingleThemeProperty(
      themeProperties.value,
      "footer_menu_info_5"
    )
);
const alltabs = computed(
  (): Array<IThemePropertiesFromApi> =>
    themePropertyHelper.getMultipleThemesProperties(
      themeProperties.value,
      "menu_content_tab_5_"
    )
);

const tabs = ref<{ value: string; label: string }[]>([]);
const activeTab = ref();
const addTabs = async () => {
  // eslint-disable-next-line
  for await (const item of alltabs.value) {
    const htmlIdSplit = item.HtmlId.split("_");
    const tabId = htmlIdSplit[htmlIdSplit.length - 1];
    // TODO:translate Label
    tabs.value.push({ label: item.Text, value: tabId });
  }
  activeTab.value = tabs.value[0].value;
};
addTabs();
const contentTitles = computed(
  (): Array<IThemePropertiesFromApi> =>
    themePropertyHelper.getMultipleThemesProperties(
      themeProperties.value,
      `content_title_5_${activeTab.value}_`
    )
);
const contentDetailFiltered = (index: number): string =>
  themePropertyHelper.getSingleThemeProperty(
    themeProperties.value,
    `menu_content_detail_5_${activeTab.value}_${index + 1}`
  ).Text;
function handleClick(tab: number) {
  activeTab.value = tab;
}
</script>
<style lang="scss" scoped>
:deep(.el-collapse-item__header.is-active) {
  border: none !important;
  background-color: unset !important;
}
:deep(.el-collapse-item__wrap) {
  background: unset !important;
}
.el-collapse {
  --el-collapse-content-bg-color: none;
  --el-collapse-header-bg-color: none;
  border: none;
  :deep(.el-collapse-item__arrow) {
    font-weight: bold;
    color: var(--text);
  }
}
:deep(.el-input__inner) {
  height: 40px;
  width: 100%;
  padding: 8px 16px;
  font-family: Roboto, sans-serif;
  font-size: 14px;
  font-weight: 400;
  line-height: 20px;
  color: var(--title-font-color);
  background: var(--background-body);
  border: 1px solid transparent;
  box-shadow: var(--box-shadow-inset);
  border-radius: 8px;
  box-sizing: border-box;
}
</style>
<style lang="scss">
.bmm1_term-condition {
  margin-top: 60px;
  .el-collapse-item__arrow {
    display: none;
  }
  .el-collapse-item.is-active .el-collapse-item__header,
  .el-collapse-item__wrap {
    border: none !important;
    border-bottom: 1px solid var(--border);
  }
  .el-collapse-item__header,
  .el-collapse-item__wrap {
    border-bottom: unset;
  }
  .el-collapse-item__header {
    height: 64px;
  }
  .el-collapse-item__header.is-active .plus__icon {
    transition: transform 0.3s ease-in-out;
  }
  .el-collapse-item__header.is-active .plus__icon {
    transform: rotate(0deg);
  }
  .el-collapse-item__header .plus__icon {
    transition: transform 0.3s ease-in-out;
  }
  .el-collapse-item__header .plus__icon {
    transform: rotate(45deg);
    &::before {
      content: "\00D7";
      font-size: 24px;
    }
  }
  .el-collapse-item__content {
    padding: 0 !important;
  }
}
</style>
